# SwapKit docs

## SwapKit Docs

- [Getting started](https://docs.swapkit.dev/getting-started.md): Easily integrate cross-chain swaps into your own application with SwapKit.
- [SwapKit's trade offerings](https://docs.swapkit.dev/swapkits-trade-offerings.md)
- [Monetization](https://docs.swapkit.dev/monetization.md): You can monetize your SwapKit integration and collect fees.
- [Partnership](https://docs.swapkit.dev/partnership.md): Reach out to our team.
- [Smart contract limitations & edge cases](https://docs.swapkit.dev/smart-contract-limitations-and-edge-cases.md): Key corner cases to take into account when integrating with our cross-chain providers
- [Introduction](https://docs.swapkit.dev/swapkit-api/introduction.md)
- [Swap Types](https://docs.swapkit.dev/swapkit-api/swap-types.md): Understand the different swap types offered by SwapKit
- [Quote and Swap Implementation flow](https://docs.swapkit.dev/swapkit-api/quote-and-swap-implementation-flow.md): Implement a correct quoting flow
- [/providers - Providers, status, and identifiers mapping](https://docs.swapkit.dev/swapkit-api/providers-providers-status-and-identifiers-mapping.md)
- [/tokens - Request supported tokens by a swap provider](https://docs.swapkit.dev/swapkit-api/tokens-request-supported-tokens-by-a-swap-provider.md)
- [/swapFrom - Request sell swap options](https://docs.swapkit.dev/swapkit-api/swapfrom-request-sell-swap-options.md): Check the swap options to sell a given token
- [/swapTo - Request buy swap options](https://docs.swapkit.dev/swapkit-api/swapto-request-buy-swap-options.md): Check the swap options to buy a given token
- [/v3/quote  - Request a swap quote](https://docs.swapkit.dev/swapkit-api/v3-quote-request-a-swap-quote.md): Obtain a quote before performing a swap.
- [/v3/swap - Obtain swap transaction details](https://docs.swapkit.dev/swapkit-api/v3-swap-obtain-swap-transaction-details.md): Use an existing routeId to obtain a swap's transaction details.
- [/track - Request the status of a swap](https://docs.swapkit.dev/swapkit-api/track-request-the-status-of-a-swap.md)
- [/price - Lookup token prices](https://docs.swapkit.dev/swapkit-api/price-lookup-token-prices.md)
- [Introduction](https://docs.swapkit.dev/swapkit-widget/introduction.md): A drop-in, non-custodial cross-chain swap interface for your site. The widget  handles wallets, quoting, approvals, and execution so you don't have to.
- [Creating your widget keys](https://docs.swapkit.dev/swapkit-widget/creating-your-widget-keys.md): Register your domain in the dashboard to get the Widget ID and Signing Secret your widget uses to authenticate.
- [Widget Studio](https://docs.swapkit.dev/swapkit-widget/widget-studio.md): Use our Widget Studio to configure SwapKit's Widget
- [Integrating SwapKit's Widget](https://docs.swapkit.dev/swapkit-widget/integrating-swapkits-widget.md): Add the widget to your site as a web component on any HTML page, or as a React component in a React or Next.js app.
- [Configuring in code](https://docs.swapkit.dev/swapkit-widget/configuring-in-code.md): Configure the widget directly in code: every web component attribute and React prop, and how to update them at runtime to adapt to the user or the page.
- [Transaction Payload Signing](https://docs.swapkit.dev/spotlights/transaction-payload-signing.md)
- [SLIP-0024 Transaction payload signing](https://docs.swapkit.dev/spotlights/slip-0024-transaction-payload-signing.md): Including SLIP-0024 to your SwapKit integration
- [API Migration to v3](https://docs.swapkit.dev/spotlights/api-migration-to-v3.md): Migrate your v2 implementation to our API v3 endpoints
- [Near Chain and its assets](https://docs.swapkit.dev/spotlights/near-chain-and-its-assets.md): SwapKit provides comprehensive support for NEAR Chain, enabling seamless swaps for both native NEAR tokens and NEP-141 tokens.
- [Integrate NEAR on an existing SwapKit integration](https://docs.swapkit.dev/spotlights/integrate-near-on-an-existing-swapkit-integration.md)
- [Version disclaimer](https://docs.swapkit.dev/swapkit-api-v2/version-disclaimer.md)
- [/quote v2 - Request a trade quote](https://docs.swapkit.dev/swapkit-api-v2/quote-v2-request-a-trade-quote.md)
- [/quote v2 - Implementation flow](https://docs.swapkit.dev/swapkit-api-v2/quote-v2-implementation-flow.md): Implement a correct quoting flow
- [/quote v2 - Understanding the response](https://docs.swapkit.dev/swapkit-api-v2/quote-v2-understanding-the-response.md)
- [/chainflip/broker/channel - Opening a Chainflip deposit channel](https://docs.swapkit.dev/swapkit-api-v2/chainflip-broker-channel-opening-a-chainflip-deposit-channel.md)
- [/screen - Check AML compliance](https://docs.swapkit.dev/swapkit-api-v2/screen-check-aml-compliance.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.swapkit.dev/getting-started.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
